Bug 477119 - UTF-8 problems in minibuffer
UTF-8 problems in minibuffer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: texinfo (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-19 03:20 EST by Enrico Scholz
Modified: 2010-03-29 09:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-29 09:17:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2008-12-19 03:20:48 EST
Description of problem:

When minibuffer (bottom line which is used e.g. for interactive search)
contains non-ASCII chars, there seem to occur counting errors resulting
into arbitrary spaces.

E.g. (in xterm):

$ locale
LANG=de_DE.UTF-8
LC_CTYPE="de_DE.UTF-8"
LC_NUMERIC="de_DE.UTF-8"
LC_TIME="de_DE.UTF-8"
LC_COLLATE=C
LC_MONETARY="de_DE.UTF-8"
LC_MESSAGES="de_DE.UTF-8"
LC_PAPER="de_DE.UTF-8"
LC_NAME="de_DE.UTF-8"
LC_ADDRESS="de_DE.UTF-8"
LC_TELEPHONE="de_DE.UTF-8"
LC_MEASUREMENT="de_DE.UTF-8"
LC_IDENTIFICATION="de_DE.UTF-8"
LC_ALL=

$ echo $TERM
xterm

$ info
C-s testabc

--> displayed message is

| Fehlschlagende Interaktive Suche mit regulärem Ausdruck: testa bc

please note the space between 'testa' and 'bc'. This does not occur
with LANG=C.


Version-Release number of selected component (if applicable):

info-4.12-4.fc10.x86_64


How reproducible:

100%
Comment 1 Bug Zapper 2009-11-18 05:30:56 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Patrice Dumas 2009-11-18 06:43:57 EST
It is possible that there were improvements with texinfo-4.13. could you test with the latest version, please?
Comment 3 Bug Zapper 2010-03-15 08:21:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Vitezslav Crhonek 2010-03-29 09:17:35 EDT
Works in texinfo-4.13a-9.fc12.

Note You need to log in before you can comment on or make changes to this bug.